Built LMS Help Center
API Reference and PlaygroundUsers and GroupsUser Progress

GET Get user progress across all enrollments

Retrieve comprehensive progress tracking data for a user across all their course enrollments

GET
/users/{id}/progress

Retrieve comprehensive progress tracking data for a user across all their course enrollments

Authorization

AuthorizationBearer <token>

Send API keys and access tokens as Authorization: Bearer .

In: header

Path Parameters

id*string

User ID (internal UUID)

Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/users/{id}/progress"
{  "data": {    "user_id": "{user_id}",    "courses": {      "total": 0,      "by_status": {        "property1": 0,        "property2": 0      },      "average_progress_percentage": 0    },    "learning_paths": {      "total": 0,      "by_status": {        "property1": 0,        "property2": 0      },      "average_progress_percentage": 0    },    "course_enrollments": [      {        "enrollment_id": "{enrollment_id}",        "course_id": "{course_id}",        "course_title": "string",        "status": "string",        "progress_percentage": 0,        "time_spent_minutes": 0,        "enrolled_at": "2019-08-24T14:15:22Z",        "started_at": "2019-08-24T14:15:22Z",        "completed_at": "2019-08-24T14:15:22Z",        "last_accessed_at": "2019-08-24T14:15:22Z",        "due_date": "2019-08-24T14:15:22Z"      }    ],    "learning_path_enrollments": [      {        "enrollment_id": "{enrollment_id}",        "learning_path_id": "{learning_path_id}",        "learning_path_title": "string",        "status": "string",        "progress_percentage": 0,        "enrolled_at": "2019-08-24T14:15:22Z",        "started_at": "2019-08-24T14:15:22Z",        "completed_at": "2019-08-24T14:15:22Z",        "due_date": "2019-08-24T14:15:22Z"      }    ]  },  "meta": {    "user_id": "{user_id}",    "organization_id": "{organization_id}"  }}